# Uses of Class
org.eclipse.emf.cdo.common.branch.CDOBranchDoesNotExistException

Packages that use CDOBranchDoesNotExistException
Package
Description
org.eclipse.emf.cdo.common.branch
Common concepts for dealing with branches.

## Uses of CDOBranchDoesNotExistException in org.eclipse.emf.cdo.common.branch

Methods in org.eclipse.emf.cdo.common.branch that throw CDOBranchDoesNotExistException
Modifier and Type
Method
Description
`CDOBranchPoint`
CDOBranch.`getBase()`
Returns the immutable base branch point of this branch, the point in the parent branch that marks the creation of this branch.
`String`
CDOBranch.`getName()`
Returns the name of this branch as specified when it was created with `createBranch()` or `CDOBranch.MAIN_BRANCH_NAME` if this branch is the `main branch`.